TYPO3-CORE-SA-2016-018: Cross-Site Scripting vulnerability in typolinks

July 19, 2016

Category: TYPO3 CMS
Author: Nicole Cordes
Keywords: TYPO3 CMS, Cross-Site Scripting, XSS

It has been discovered, that TYPO3 is susceptible to Cross-Site Scripting.

Component Type: TYPO3 CMS

Release Date: July 19, 2016

 

Vulnerability Type: Cross-Site Scripting

Affected Versions: Versions 6.2.0 to 6.2.25, 7.6.0 to 7.6.9 and 8.0.0 to 8.2.0

Severity: Low

Suggested CVSS v2.0: AV:N/AC:L/Au:S/C:N/I:P/A:N/E:F/RL:O/RC:C

CVE: not assigned yet

Problem Description: All link fields within the TYPO3 installation are vulnerable to Cross-Site Scripting as authorized editors can insert data commands by using the url scheme "data:".

Solution: Update to TYPO3 versions 6.2.26, 7.6.10 or 8.2.1 that fix the problem described. The typoLink() function disables the insecure url scheme "data:".

Credits: Thanks to Valentin Despa who discovered and reported the issue.

 

General Advice: Follow the recommendations that are given in the TYPO3 Security Guide. Please subscribe to the typo3-announce mailing list.

General Note: All security related code changes are tagged so that you can easily look them up on our review system.